Topics

IMPORTANT: Do not upgrade #kernel on #kernel #beta8

Basil Gunn
 

Thank you Anna! /basil

Basil Gunn
 

This is the fix for the 4.14.98-v7+ kernel breakage.
There is a conflict with the udrc driver and the AudioSense-Pi drivers.
If you have done an apt-get upgrade & the udrc sound card has
disappeared then do the following:

# Go to the script repo
cd
cd n7nix

# Get the latest scripts
git pull

# Put the latest scripts in the local bin directory
cd config
./bin_refresh.sh

# run the script that fixes the conflict
chk_conflict.sh

# Reboot your RPi

The BETA9 image will have the driver conflict fixed.
/Basil n7nix

John D Hays - K7VE <@john_hays> writes:

We have determined that upgrading to kernel 4.14.98-v7+ is breaking access
to the DRAWS™ HAT (UDRC) driver.

Please *do not* do a general
apt-get update
apt-get upgrade
until we resolve this issue.

At the current time we can only recommend backing up your application
configurations and reverting to a fresh copy of beta8, if you have already
performed an upgrade.

Art - KC7SDA
 

oh crud =(

 

We have determined that upgrading to kernel 4.14.98-v7+  is breaking access to the DRAWS™ HAT (UDRC) driver.

Please do not do a general 
apt-get update
apt-get upgrade
until we resolve this issue.

At the current time we can only recommend backing up your application configurations and reverting to a fresh copy of beta8, if you have already performed an upgrade.


John D. Hays
Director